CONTAINER-GET-CURL(1)

NAME
container-get-curl - Download a Debian based container by downloading a tarball over the network

SYNOPSIS
container get -s curl ['OPTIONS']

DESCRIPTION

The curl container download script uses curl(1) to download a tarball over the network to create a Debian based container.

Depending on the tarball this script otherwise creates a pure Debian system with three modificiations:

            •   hostname is set (container name) in /etc/hostname

            •   systemd machine-id is generated in /etc/machine-id

            •   root password is set (user specified or 16 random characters)

  Container images

compute-tools will download tarballs from a server expecting that the images are tarballs with either gzip, lzip, xz, or no compression. See container-images.sh as an example on how to create your own container images.

OPTIONS

The following script options are available:

    -n, --name='NAME':
        Specify container name.

    -a, --architecture='ARCHITECTURE':
        Specify container architecture.

    --clean:
        Remove container tarball after successful download.

    -p, --root-password='PASSWORD':
        Specify the root password, defaults to a random 16 character password.

    --server='SERVER':
        Specify the image server to download from, defaults to ' <https://get.open-infrastructure.net/system/container/debian> '.

    --setup='SETUP':
        Specify the setup image name to download, defaults to the value specified through --system using the setup.tar.${COMPRESSION} suffix (where ${COMPRESSION} is either lz, xz, or gz depending on compressor availability on the host system).

    --system='SYSTEM':
        Specify the system image name to download, defaults to debian-trixie-current_${ARCHITECTURE}.system.tar.${COMPRESSION} (where ${ARCHITECTURE} is the host systems architecture and ${COMPRESSION} either lz, xz, or gz depending on compressor availability on the host system).

EXAMPLES

Download a Debian 13 (trixie) based container with same architecture as the host system:
        sudo container get -s curl -n trixie.example.net

Download a Debian 13 (trixie) based container with different architecture as the host system:
        sudo container get -s curl -n trixie-i386.example.net -- --system debian-trixie-current_i386.system.tar.xz

FILES

The following files are used:

    /etc/compute-tools/config:
        Container configuration files.

    /usr/share/compute-tools/get-scripts:
        Container download scripts.

    /usr/share/doc/compute-tools:
        Container documentation.

    /var/lib/machines:
        Container directory.

    /var/cache/container:
        Container cache directory.

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage ( <https://open-infrastructure.net> ).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List < <software@lists.open-infrastructure.net> >.

Debian specific bugs can also be reported in the Debian Bug Tracking System ( <https://bugs.debian.org> ).

AUTHORS

compute-tools were written by Daniel Baumann < <daniel.baumann@open-infrastructure.net> > and others.